import mysql.connector
from mysql.connector import Error
import config

def get_db_connection():
    """创建数据库连接"""
    try:
        conn = mysql.connector.connect(
            host=config.DB_HOST,
            user=config.DB_USER,
            password=config.DB_PASSWORD,
            database=config.DB_NAME
        )
        return conn
    except Error as e:
        print(f"数据库连接错误: {e}")
        return None

def close_connection(conn):
    """关闭数据库连接"""
    if conn:
        conn.close()
